Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512743 - tpm2-tools-3.0.3 is available
Summary: tpm2-tools-3.0.3 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tpm2-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yunying Sun
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 00:27 UTC by Upstream Release Monitoring
Modified: 2018-02-24 06:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-24 06:41:48 UTC


Attachments (Terms of Use)
[patch] Update to 3.0.1 (#1512743) (deleted)
2017-12-12 00:27 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.0.3 (#1512743) (deleted)
2018-01-16 10:27 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-11-14 00:27:50 UTC
Latest upstream release: 3.0-rc0
Current version/release in rawhide: 2.1.1-1.fc28
URL: https://github.com/01org/tpm2.0-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12841/

Comment 1 Upstream Release Monitoring 2017-11-14 00:27:56 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/01org/tpm2-tools/archive/3.0.tar.gz#/tpm2-tools-3.0.tar.gz to ./tpm2-tools-3.0.tar.gz

Comment 2 Upstream Release Monitoring 2017-12-09 00:26:54 UTC
Latest upstream release: 3.0
Current version/release in rawhide: 3.0-0.1.rc1.fc28
URL: https://github.com/01org/tpm2.0-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12841/

Comment 3 Upstream Release Monitoring 2017-12-09 00:26:58 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 4 Javier Martinez Canillas 2017-12-09 00:39:51 UTC
I've proposed a pull request to update the tpm2-tools package to 3.0:

https://src.fedoraproject.org/rpms/tpm2-tools/pull-request/5

Comment 5 Upstream Release Monitoring 2017-12-12 00:27:05 UTC
Latest upstream release: 3.0.1
Current version/release in rawhide: 3.0-1.fc28
URL: https://github.com/01org/tpm2.0-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12841/

Comment 6 Upstream Release Monitoring 2017-12-12 00:27:14 UTC
Created attachment 1366379 [details]
[patch] Update to 3.0.1 (#1512743)

Comment 7 Upstream Release Monitoring 2017-12-12 00:29:26 UTC
hotness's scratch build of tpm2-tools-3.0.1-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=23648305

Comment 8 Upstream Release Monitoring 2018-01-16 10:26:58 UTC
Latest upstream release: 3.0.3
Current version/release in rawhide: 3.0.2-1.fc28
URL: https://github.com/intel/tpm2-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12841/

Comment 9 Upstream Release Monitoring 2018-01-16 10:27:05 UTC
Created attachment 1381927 [details]
[patch] Update to 3.0.3 (#1512743)

Comment 10 Upstream Release Monitoring 2018-01-16 10:28:51 UTC
hotness's scratch build of tpm2-tools-3.0.3-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=24227469

Comment 11 Yunying Sun 2018-02-24 06:41:48 UTC
tpm2-tools has been updated to 3.0.3 for both Fedora master/f29 and f28. Close this bug as fixed.


Note You need to log in before you can comment on or make changes to this bug.